Last Comment Bug 778438 - java.lang.NullPointerException: at org.mozilla.gecko.AwesomeBar.onCreate(AwesomeBar.java) on Honeycomb
: java.lang.NullPointerException: at org.mozilla.gecko.AwesomeBar.onCreate(Awes...
Status: RESOLVED FIXED
[native-crash][startupcrash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: Awesomescreen (show other bugs)
: 17 Branch
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
: 779446 (view as bug list)
Depends on: 760160
Blocks: 770928
  Show dependency treegraph
 
Reported: 2012-07-28 09:01 PDT by Scoobidiver (away)
Modified: 2013-12-10 10:01 PST (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
fixed


Attachments
Patch (3.41 KB, patch)
2012-07-30 12:29 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Scoobidiver (away) 2012-07-28 09:01:22 PDT
There are two crashes from the same user in 17.0a1/20120728, including bp-37128b27-3129-4733-82ba-0f8862120728.

java.lang.NullPointerException
	at org.mozilla.gecko.AwesomeBar.onCreate(AwesomeBar.java:76)
	at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1048)
	at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1715)
	at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:1767)
	at android.app.ActivityThread.access$1500(ActivityThread.java:122)
	at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1005)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:132)
	at android.app.ActivityThread.main(ActivityThread.java:4028)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:491)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:844)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:602)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.AwesomeBar.onCreate%28AwesomeBar.java%29
Comment 1 Scoobidiver (away) 2012-07-29 02:43:08 PDT
It has been hit by 2 users. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=8b96a33ecbd2&tochange=2abd21593e57
It's likely a regression from bug 770928.
Comment 2 Scoobidiver (away) 2012-07-30 02:52:19 PDT
It's #1 top crasher over the last 3 days.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-07-30 07:33:32 PDT
From http://stackoverflow.com/questions/6867076/getactionbar-returns-null

It looks like we need to call setContentView(R.layout.awesomebar) _before_ calling getActionBar(). More likely, we should move the call to getActionBar() to _after_ the setContentView call.
Comment 4 Sriram Ramasubramanian [:sriram] 2012-07-30 10:23:26 PDT
I need to look into the code, but, Android inflates the ActionBar before doing a setContentView(). Anyways, I'll try doing that.
Comment 5 Sriram Ramasubramanian [:sriram] 2012-07-30 12:29:35 PDT
Created attachment 647249 [details] [diff] [review]
Patch

This patch solves the crash in Honeycomb (old school way).
However, honeycomb is crazy. When I do copy or select "done", the text-selection changes and I hide the action bar -- as we should be. And then honeycomb for some reason thinks it should be showing the action-bar and shows it. And when i start typing, it goes away (as a part of textChanged listener). This is happening only in honeycomb and we dont have any control over actionbar -- which is why CustomEditText captures onSelectionChanged and passes it to AwesomeBar.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-07-30 14:16:10 PDT
Comment on attachment 647249 [details] [diff] [review]
Patch

This will fix the crash, and I assume we have a bug filed for fixing the odd behavior on Honeycomb?
Comment 7 Sriram Ramasubramanian [:sriram] 2012-07-30 14:21:21 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/c6de46640373
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-30 16:42:27 PDT
tracking this since it's a pre-requisite for uplift of bug 770928 being able to be uplifted.
Comment 9 Ed Morley [:emorley] 2012-07-31 06:12:07 PDT
https://hg.mozilla.org/mozilla-central/rev/c6de46640373
Comment 10 Scoobidiver (away) 2012-08-01 03:13:00 PDT
*** Bug 779446 has been marked as a duplicate of this bug. ***
Comment 11 Sriram Ramasubramanian [:sriram] 2012-08-03 14:11:45 PDT
Comment on attachment 647249 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 770928
User impact if declined: Honeycomb will crash with the other patch.
Testing completed (on m-c, etc.): Landed on m-c on 07/31
Risk to taking this patch (and alternatives if risky): None. Without this patch the other cannot be landed.
String or UUID changes made by this patch: None.
Comment 12 Sriram Ramasubramanian [:sriram] 2012-08-07 11:35:28 PDT
Pushed to aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/6098f0178631
Comment 13 Sriram Ramasubramanian [:sriram] 2012-08-07 11:51:54 PDT
Pushed to beta:
https://hg.mozilla.org/releases/mozilla-beta/rev/1fb1f90a2bc7
Comment 14 Aaron Train [:aaronmt] 2012-08-09 12:56:49 PDT
+ qawanted for 3.x verification

Note You need to log in before you can comment on or make changes to this bug.